Bug 827422 - ltrace does not recognize -C option
ltrace does not recognize -C option
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ltrace (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 08:46 EDT by Michal Sekletar
Modified: 2015-05-04 21:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 11:09:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Sekletar 2012-06-01 08:46:44 EDT
Description of problem:
ltrace does not recognize -C (--demangle) option

Version-Release number of selected component (if applicable):
ltrace-0.6.0-11.fc17.x86_64

How reproducible:

Steps to Reproduce:
1.echo '#include <iostream>\n int main() {std::cout << "Hello World";}'>test.cpp  
2.g++ -o test test.cpp
3.ltrace -C ./test
  
Actual results:
ltrace: invalid option -- 'C'

Expected results:
List of demangled function calls

Additional info:
ltrace should be compiled with enabled USE_DEMAGLE compile option
Comment 1 Petr Machata 2012-06-01 14:20:39 EDT
Thanks for the report.  Interestingly there was a patch for this, but it was lost during rebase to 0.6 and never made it upstream.  I've promoted it now and backported to both rawhide and f17.
Comment 2 Fedora Update System 2012-06-01 14:26:07 EDT
ltrace-0.6.0-12.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ltrace-0.6.0-12.fc17
Comment 3 Fedora Update System 2012-06-01 23:54:44 EDT
Package ltrace-0.6.0-12.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ltrace-0.6.0-12.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8760/ltrace-0.6.0-12.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-19 11:09:01 EDT
ltrace-0.6.0-12.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-10-02 11:55:11 EDT
ltrace-0.6.0-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ltrace-0.6.0-6.fc16

Note You need to log in before you can comment on or make changes to this bug.